package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractSetprintcountRequest struct {
	// <ext>core:true;format:string</ext> 【电子签约文件id】电子签约文件id 【作用】 查询需要设置打印次数的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true;format:string</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需要设置打印次数的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true</ext> 【打印次数】打印次数 【作用】 1、所有人可打印该文件的总次数，超出打印次数之后，将无法进行文件打印 2、仅对文件中的签署文件、附件生效，存证报告和签署摘要不限制打印次数 3、多次调用接口设置打印次数时，将追加打印次数而非替换原有的次数 4、用印流程中设置的打印次数限制，与接口传入的次数相独立，打印时取接口和用印流程配置中较小的值进行限制 5、客户端打印、远程打印、中转打印均能记录打印次数，也能受打印次数限制；浏览器打印默认不可记录和控制打印次数，如需记录和控制可在电子签章后台-防伪打印设置中开启 【传参】 最小值：1（包含）。单位：次。
	Count *int64 `json:"count"`
}

func (obj ContractSetprintcountRequest) GetUrl() string {
	return "/contract/setprintcount"
}

func (obj ContractSetprintcountRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	parameter.AddParam("bizId", obj.BizId)
	parameter.AddParam("count", obj.Count)
	return parameter
}
